com.corticon.rulesemf.canonicalrulemodel.rulesheet

## Interface RulesheetPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface RulesheetPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `RulesheetFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `RulesheetPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTION` The meta object id for the '`Action`' class
    `static int` | `ACTION__DISABLED` The feature id for the 'Disabled' attribute
    `static int` | `ACTION__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `ACTION__OPAQUE_EXPRESSION` The feature id for the 'Opaque Expression' containment reference
    `static int` | `ACTION__RULE` The feature id for the 'Rule' container reference
    `static int` | `ACTION_FEATURE_COUNT` The number of structural features of the 'Action' class
    `static int` | `CONDITION` The meta object id for the '`Condition`' class
    `static int` | `CONDITION__DISABLED` The feature id for the 'Disabled' attribute
    `static int` | `CONDITION__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `CONDITION__OPAQUE_EXPRESSION` The feature id for the 'Opaque Expression' containment reference
    `static int` | `CONDITION__RULE` The feature id for the 'Rule' container reference
    `static int` | `CONDITION__VIEW_EXPRESSIONS` The feature id for the 'View Expressions' containment reference
    `static int` | `CONDITION_FEATURE_COUNT` The number of structural features of the 'Condition' class
    `static int` | `EFFECTIVITY_RANGE` The meta object id for the '`Effectivity Range`' class
    `static int` | `EFFECTIVITY_RANGE__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `EFFECTIVITY_RANGE__EFFECTIVE_DATE` The feature id for the 'Effective Date' attribute
    `static int` | `EFFECTIVITY_RANGE__EXPIRATION_DATE` The feature id for the 'Expiration Date' attribute
    `static int` | `EFFECTIVITY_RANGE_FEATURE_COUNT` The number of structural features of the 'Effectivity Range' class
    `static RulesheetPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static int` | `ENGINE_OPERATION_MODE` The meta object id for the '`Engine Operation Mode`' enum
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `FILTER` The meta object id for the '`Filter`' class
    `static int` | `FILTER__DATABASE` The feature id for the 'Database' attribute
    `static int` | `FILTER__DISABLED` The feature id for the 'Disabled' attribute
    `static int` | `FILTER__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `FILTER__LOGICAL_VARIABLES` The feature id for the 'Logical Variables' reference list
    `static int` | `FILTER__MINIMUM` The feature id for the 'Minimum' attribute
    `static int` | `FILTER__OPAQUE_EXPRESSION` The feature id for the 'Opaque Expression' containment reference
    `static int` | `FILTER__PRECONDITION` The feature id for the 'Precondition' attribute
    `static int` | `FILTER__RULESET` The feature id for the 'Ruleset' container reference
    `static int` | `FILTER_FEATURE_COUNT` The number of structural features of the 'Filter' class
    `static int` | `LOGICAL_VARIABLE` The meta object id for the '`Logical Variable`' class
    `static int` | `LOGICAL_VARIABLE__ALIAS` The feature id for the 'Alias' containment reference list
    `static int` | `LOGICAL_VARIABLE__ASSOCIATION` The feature id for the 'Association' attribute
    `static int` | `LOGICAL_VARIABLE__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `LOGICAL_VARIABLE__ENTITY` The feature id for the 'Entity' reference
    `static int` | `LOGICAL_VARIABLE__EXPLICIT` The feature id for the 'Explicit' attribute
    `static int` | `LOGICAL_VARIABLE__EXTEND_TO_DATABASE` The feature id for the 'Extend To Database' attribute
    `static int` | `LOGICAL_VARIABLE__EXTENDED_FROM` The feature id for the 'Extended From' container reference
    `static int` | `LOGICAL_VARIABLE__EXTENSION` The feature id for the 'Extension' containment reference list
    `static int` | `LOGICAL_VARIABLE__FILTERS` The feature id for the 'Filters' reference list
    `static int` | `LOGICAL_VARIABLE__NAME` The feature id for the 'Name' attribute
    `static int` | `LOGICAL_VARIABLE__QUALIFIED` The feature id for the 'Qualified' attribute
    `static int` | `LOGICAL_VARIABLE__QUALIFIER` The feature id for the 'Qualifier' reference
    `static int` | `LOGICAL_VARIABLE__REFERENCED_ATTRIBUTES` The feature id for the 'Referenced Attributes' containment reference list
    `static int` | `LOGICAL_VARIABLE__RULE_STATEMENTS` The feature id for the 'Rule Statements' reference list
    `static int` | `LOGICAL_VARIABLE__SORTED_ALIAS_ATTRIBUTE_NAME` The feature id for the 'Sorted Alias Attribute Name' attribute
    `static int` | `LOGICAL_VARIABLE__SORTED_ALIAS_DESCENDING` The feature id for the 'Sorted Alias Descending' attribute
    `static int` | `LOGICAL_VARIABLE__TRAVERSED_ASSOC_ROLE` The feature id for the 'Traversed Assoc Role' reference
    `static int` | `LOGICAL_VARIABLE__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `LOGICAL_VARIABLE_FEATURE_COUNT` The number of structural features of the 'Logical Variable' class
    `static int` | `MESSAGE_SEVERITY` The meta object id for the '`Message Severity`' enum
    `static int` | `PRULE` The meta object id for the '`PRule`' class
    `static int` | `PRULE__ACTIONS` The feature id for the 'Actions' containment reference list
    `static int` | `PRULE__CONDITIONS` The feature id for the 'Conditions' containment reference list
    `static int` | `PRULE__DISABLED` The feature id for the 'Disabled' attribute
    `static int` | `PRULE__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `PRULE__OVERRIDDEN_BY` The feature id for the 'Overridden By' reference list
    `static int` | `PRULE__OVERRIDES` The feature id for the 'Overrides' reference list
    `static int` | `PRULE__RULESET` The feature id for the 'Ruleset' container reference
    `static int` | `PRULE__USE_CONDITIONS_AS_THRESHOLDS` The feature id for the 'Use Conditions As Thresholds' attribute
    `static int` | `PRULE_FEATURE_COUNT` The number of structural features of the 'PRule' class
    `static int` | `PRULESET` The meta object id for the '`PRuleset`' class
    `static int` | `PRULESET__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `PRULESET__DOMAIN` The feature id for the 'Domain' attribute
    `static int` | `PRULESET__EFFECTIVITY_RANGE` The feature id for the 'Effectivity Range' reference list
    `static int` | `PRULESET__FILTERS` The feature id for the 'Filters' containment reference list
    `static int` | `PRULESET__LOGICAL_VARIABLES` The feature id for the 'Logical Variables' containment reference list
    `static int` | `PRULESET__OPERATION_MODE` The feature id for the 'Operation Mode' attribute
    `static int` | `PRULESET__ROOT_ENTITY` The feature id for the 'Root Entity' containment reference list
    `static int` | `PRULESET__RULE_STATEMENTS` The feature id for the 'Rule Statements' containment reference list
    `static int` | `PRULESET__RULES` The feature id for the 'Rules' containment reference list
    `static int` | `PRULESET__VERSION_LABEL` The feature id for the 'Version Label' attribute
    `static int` | `PRULESET__VERSION_NO` The feature id for the 'Version No' attribute
    `static int` | `PRULESET__VOCABULARY` The feature id for the 'Vocabulary' reference
    `static int` | `PRULESET__VOCABULARY_UPDATE_STAMP` The feature id for the 'Vocabulary Update Stamp' attribute
    `static int` | `PRULESET_FEATURE_COUNT` The number of structural features of the 'PRuleset' class
    `static int` | `REFERENCED_ATTRIBUTE` The meta object id for the '`Referenced Attribute`' class
    `static int` | `REFERENCED_ATTRIBUTE__ATTRIBUTE` The feature id for the 'Attribute' reference
    `static int` | `REFERENCED_ATTRIBUTE__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `REFERENCED_ATTRIBUTE_FEATURE_COUNT` The number of structural features of the 'Referenced Attribute' class
    `static int` | `RULE_STATEMENT` The meta object id for the '`Rule Statement`' class
    `static int` | `RULE_STATEMENT__ALIAS` The feature id for the 'Alias' attribute
    `static int` | `RULE_STATEMENT__CATEGORY` The feature id for the 'Category' attribute
    `static int` | `RULE_STATEMENT__COMMENTS` The feature id for the 'Comments' attribute
    `static int` | `RULE_STATEMENT__DISABLED` The feature id for the 'Disabled' attribute
    `static int` | `RULE_STATEMENT__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `RULE_STATEMENT__EXTERNAL_ID` The feature id for the 'External ID' attribute
    `static int` | `RULE_STATEMENT__LOGICAL_VARIABLE` The feature id for the 'Logical Variable' reference
    `static int` | `RULE_STATEMENT__POST` The feature id for the 'Post' attribute
    `static int` | `RULE_STATEMENT__RULE_LINK` The feature id for the 'Rule Link' attribute
    `static int` | `RULE_STATEMENT__RULE_MODEL_ELEMENTS` The feature id for the 'Rule Model Elements' reference list
    `static int` | `RULE_STATEMENT__RULE_NAME` The feature id for the 'Rule Name' attribute
    `static int` | `RULE_STATEMENT__RULESET` The feature id for the 'Ruleset' container reference
    `static int` | `RULE_STATEMENT__SOURCE_LINK` The feature id for the 'Source Link' attribute
    `static int` | `RULE_STATEMENT__SOURCE_NAME` The feature id for the 'Source Name' attribute
    `static int` | `RULE_STATEMENT__TEXT` The feature id for the 'Text' containment reference list
    `static int` | `RULE_STATEMENT_FEATURE_COUNT` The number of structural features of the 'Rule Statement' class
    `static int` | `RULESHEET_STRING` The meta object id for the '`String`' class
    `static int` | `RULESHEET_STRING__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `RULESHEET_STRING__VALUE` The feature id for the 'Value' attribute
    `static int` | `RULESHEET_STRING_FEATURE_COUNT` The number of structural features of the 'String' class
    `static int` | `VIEW_EXPRESSIONS` The meta object id for the '`View Expressions`' class
    `static int` | `VIEW_EXPRESSIONS__LHS` The feature id for the 'Lhs' attribute
    `static int` | `VIEW_EXPRESSIONS__RHS` The feature id for the 'Rhs' attribute
    `static int` | `VIEW_EXPRESSIONS_FEATURE_COUNT` The number of structural features of the 'View Expressions' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EAttribute` | `getAction_Disabled()` Returns the meta object for the attribute '`Disabled`'
    `org.eclipse.emf.ecore.EReference` | `getAction_OpaqueExpression()` Returns the meta object for the containment reference '`Opaque Expression`'
    `org.eclipse.emf.ecore.EReference` | `getAction_Rule()` Returns the meta object for the container reference '`Rule`'
    `org.eclipse.emf.ecore.EClass` | `getAction()` Returns the meta object for class '`Action`'
    `org.eclipse.emf.ecore.EAttribute` | `getCondition_Disabled()` Returns the meta object for the attribute '`Disabled`'
    `org.eclipse.emf.ecore.EReference` | `getCondition_OpaqueExpression()` Returns the meta object for the containment reference '`Opaque Expression`'
    `org.eclipse.emf.ecore.EReference` | `getCondition_Rule()` Returns the meta object for the container reference '`Rule`'
    `org.eclipse.emf.ecore.EReference` | `getCondition_ViewExpressions()` Returns the meta object for the containment reference '`View Expressions`'
    `org.eclipse.emf.ecore.EClass` | `getCondition()` Returns the meta object for class '`Condition`'
    `org.eclipse.emf.ecore.EAttribute` | `getEffectivityRange_EffectiveDate()` Returns the meta object for the attribute '`Effective Date`'
    `org.eclipse.emf.ecore.EAttribute` | `getEffectivityRange_ExpirationDate()` Returns the meta object for the attribute '`Expiration Date`'
    `org.eclipse.emf.ecore.EClass` | `getEffectivityRange()` Returns the meta object for class '`Effectivity Range`'
    `org.eclipse.emf.ecore.EEnum` | `getEngineOperationMode()` Returns the meta object for enum '`Engine Operation Mode`'
    `org.eclipse.emf.ecore.EAttribute` | `getFilter_Database()` Returns the meta object for the attribute '`Database`'
    `org.eclipse.emf.ecore.EAttribute` | `getFilter_Disabled()` Returns the meta object for the attribute '`Disabled`'
    `org.eclipse.emf.ecore.EReference` | `getFilter_LogicalVariables()` Returns the meta object for the reference list '`Logical Variables`'
    `org.eclipse.emf.ecore.EAttribute` | `getFilter_Minimum()` Returns the meta object for the attribute '`Minimum`'
    `org.eclipse.emf.ecore.EReference` | `getFilter_OpaqueExpression()` Returns the meta object for the containment reference '`Opaque Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getFilter_Precondition()` Returns the meta object for the attribute '`Precondition`'
    `org.eclipse.emf.ecore.EReference` | `getFilter_Ruleset()` Returns the meta object for the container reference '`Ruleset`'
    `org.eclipse.emf.ecore.EClass` | `getFilter()` Returns the meta object for class '`Filter`'
    `org.eclipse.emf.ecore.EReference` | `getLogicalVariable_Alias()` Returns the meta object for the containment reference list '`Alias`'
    `org.eclipse.emf.ecore.EAttribute` | `getLogicalVariable_Association()` Returns the meta object for the attribute '`Association`'
    `org.eclipse.emf.ecore.EReference` | `getLogicalVariable_Entity()` Returns the meta object for the reference '`Entity`'
    `org.eclipse.emf.ecore.EAttribute` | `getLogicalVariable_Explicit()` Returns the meta object for the attribute '`Explicit`'
    `org.eclipse.emf.ecore.EReference` | `getLogicalVariable_ExtendedFrom()` Returns the meta object for the container reference '`Extended From`'
    `org.eclipse.emf.ecore.EAttribute` | `getLogicalVariable_ExtendToDatabase()` Returns the meta object for the attribute '`Extend To Database`'
    `org.eclipse.emf.ecore.EReference` | `getLogicalVariable_Extension()` Returns the meta object for the containment reference list '`Extension`'
    `org.eclipse.emf.ecore.EReference` | `getLogicalVariable_Filters()` Returns the meta object for the reference list '`Filters`'
    `org.eclipse.emf.ecore.EAttribute` | `getLogicalVariable_Name()` Returns the meta object for the attribute '`Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getLogicalVariable_Qualified()` Returns the meta object for the attribute '`Qualified`'
    `org.eclipse.emf.ecore.EReference` | `getLogicalVariable_Qualifier()` Returns the meta object for the reference '`Qualifier`'
    `org.eclipse.emf.ecore.EReference` | `getLogicalVariable_ReferencedAttributes()` Returns the meta object for the containment reference list '`Referenced Attributes`'
    `org.eclipse.emf.ecore.EReference` | `getLogicalVariable_RuleStatements()` Returns the meta object for the reference list '`Rule Statements`'
    `org.eclipse.emf.ecore.EAttribute` | `getLogicalVariable_SortedAliasAttributeName()` Returns the meta object for the attribute '`Sorted Alias Attribute Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getLogicalVariable_SortedAliasDescending()` Returns the meta object for the attribute '`Sorted Alias Descending`'
    `org.eclipse.emf.ecore.EReference` | `getLogicalVariable_TraversedAssocRole()` Returns the meta object for the reference '`Traversed Assoc Role`'
    `org.eclipse.emf.ecore.EClass` | `getLogicalVariable()` Returns the meta object for class '`Logical Variable`'
    `org.eclipse.emf.ecore.EEnum` | `getMessageSeverity()` Returns the meta object for enum '`Message Severity`'
    `org.eclipse.emf.ecore.EReference` | `getPRule_Actions()` Returns the meta object for the containment reference list '`Actions`'
    `org.eclipse.emf.ecore.EReference` | `getPRule_Conditions()` Returns the meta object for the containment reference list '`Conditions`'
    `org.eclipse.emf.ecore.EAttribute` | `getPRule_Disabled()` Returns the meta object for the attribute '`Disabled`'
    `org.eclipse.emf.ecore.EReference` | `getPRule_OverriddenBy()` Returns the meta object for the reference list '`Overridden By`'
    `org.eclipse.emf.ecore.EReference` | `getPRule_Overrides()` Returns the meta object for the reference list '`Overrides`'
    `org.eclipse.emf.ecore.EReference` | `getPRule_Ruleset()` Returns the meta object for the container reference '`Ruleset`'
    `org.eclipse.emf.ecore.EAttribute` | `getPRule_UseConditionsAsThresholds()` Returns the meta object for the attribute '`Use Conditions As Thresholds`'
    `org.eclipse.emf.ecore.EClass` | `getPRule()` Returns the meta object for class '`PRule`'
    `org.eclipse.emf.ecore.EReference` | `getPRuleset_EffectivityRange()` Returns the meta object for the reference list '`Effectivity Range`'
    `org.eclipse.emf.ecore.EReference` | `getPRuleset_Filters()` Returns the meta object for the containment reference list '`Filters`'
    `org.eclipse.emf.ecore.EReference` | `getPRuleset_LogicalVariables()` Returns the meta object for the containment reference list '`Logical Variables`'
    `org.eclipse.emf.ecore.EAttribute` | `getPRuleset_OperationMode()` Returns the meta object for the attribute '`Operation Mode`'
    `org.eclipse.emf.ecore.EReference` | `getPRuleset_RootEntity()` Returns the meta object for the containment reference list '`Root Entity`'
    `org.eclipse.emf.ecore.EReference` | `getPRuleset_Rules()` Returns the meta object for the containment reference list '`Rules`'
    `org.eclipse.emf.ecore.EReference` | `getPRuleset_RuleStatements()` Returns the meta object for the containment reference list '`Rule Statements`'
    `org.eclipse.emf.ecore.EAttribute` | `getPRuleset_VersionLabel()` Returns the meta object for the attribute '`Version Label`'
    `org.eclipse.emf.ecore.EAttribute` | `getPRuleset_VersionNo()` Returns the meta object for the attribute '`Version No`'
    `org.eclipse.emf.ecore.EReference` | `getPRuleset_Vocabulary()` Returns the meta object for the reference '`Vocabulary`'
    `org.eclipse.emf.ecore.EAttribute` | `getPRuleset_VocabularyUpdateStamp()` Returns the meta object for the attribute '`Vocabulary Update Stamp`'
    `org.eclipse.emf.ecore.EClass` | `getPRuleset()` Returns the meta object for class '`PRuleset`'
    `org.eclipse.emf.ecore.EReference` | `getReferencedAttribute_Attribute()` Returns the meta object for the reference '`Attribute`'
    `org.eclipse.emf.ecore.EClass` | `getReferencedAttribute()` Returns the meta object for class '`Referenced Attribute`'
    `RulesheetFactory` | `getRulesheetFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EAttribute` | `getRulesheetString_Value()` Returns the meta object for the attribute '`Value`'
    `org.eclipse.emf.ecore.EClass` | `getRulesheetString()` Returns the meta object for class '`String`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatement_Alias()` Returns the meta object for the attribute '`Alias`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatement_Category()` Returns the meta object for the attribute '`Category`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatement_Comments()` Returns the meta object for the attribute '`Comments`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatement_Disabled()` Returns the meta object for the attribute '`Disabled`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatement_ExternalID()` Returns the meta object for the attribute '`External ID`'
    `org.eclipse.emf.ecore.EReference` | `getRuleStatement_LogicalVariable()` Returns the meta object for the reference '`Logical Variable`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatement_Post()` Returns the meta object for the attribute '`Post`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatement_RuleLink()` Returns the meta object for the attribute '`Rule Link`'
    `org.eclipse.emf.ecore.EReference` | `getRuleStatement_RuleModelElements()` Returns the meta object for the reference list '`Rule Model Elements`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatement_RuleName()` Returns the meta object for the attribute '`Rule Name`'
    `org.eclipse.emf.ecore.EReference` | `getRuleStatement_Ruleset()` Returns the meta object for the container reference '`Ruleset`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatement_SourceLink()` Returns the meta object for the attribute '`Source Link`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatement_SourceName()` Returns the meta object for the attribute '`Source Name`'
    `org.eclipse.emf.ecore.EReference` | `getRuleStatement_Text()` Returns the meta object for the containment reference list '`Text`'
    `org.eclipse.emf.ecore.EClass` | `getRuleStatement()` Returns the meta object for class '`Rule Statement`'
    `org.eclipse.emf.ecore.EAttribute` | `getViewExpressions_Lhs()` Returns the meta object for the attribute '`Lhs`'
    `org.eclipse.emf.ecore.EAttribute` | `getViewExpressions_Rhs()` Returns the meta object for the attribute '`Rhs`'
    `org.eclipse.emf.ecore.EClass` | `getViewExpressions()` Returns the meta object for class '`View Expressions`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final RulesheetPackage eINSTANCE

      The singleton instance of the package.

    - #### ACTION

          static final int ACTION

      The meta object id for the '`Action`' class.
      See Also:
        `ActionImpl`, `RulesheetPackageImpl.getAction()`, Constant Field Values

    - #### ACTION__DOCUMENTING_RULE_STATEMENTS

          static final int ACTION__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### ACTION__DISABLED

          static final int ACTION__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values

    - #### ACTION__OPAQUE_EXPRESSION

          static final int ACTION__OPAQUE_EXPRESSION

      The feature id for the 'Opaque Expression' containment reference.
      See Also:
        Constant Field Values

    - #### ACTION__RULE

          static final int ACTION__RULE

      The feature id for the 'Rule' container reference.
      See Also:
        Constant Field Values

    - #### ACTION_FEATURE_COUNT

          static final int ACTION_FEATURE_COUNT

      The number of structural features of the 'Action' class.
      See Also:
        Constant Field Values

    - #### CONDITION

          static final int CONDITION

      The meta object id for the '`Condition`' class.
      See Also:
        `ConditionImpl`, `RulesheetPackageImpl.getCondition()`, Constant Field Values

    - #### CONDITION__DOCUMENTING_RULE_STATEMENTS

          static final int CONDITION__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### CONDITION__DISABLED

          static final int CONDITION__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values

    - #### CONDITION__OPAQUE_EXPRESSION

          static final int CONDITION__OPAQUE_EXPRESSION

      The feature id for the 'Opaque Expression' containment reference.
      See Also:
        Constant Field Values

    - #### CONDITION__RULE

          static final int CONDITION__RULE

      The feature id for the 'Rule' container reference.
      See Also:
        Constant Field Values

    - #### CONDITION__VIEW_EXPRESSIONS

          static final int CONDITION__VIEW_EXPRESSIONS

      The feature id for the 'View Expressions' containment reference.
      See Also:
        Constant Field Values

    - #### CONDITION_FEATURE_COUNT

          static final int CONDITION_FEATURE_COUNT

      The number of structural features of the 'Condition' class.
      See Also:
        Constant Field Values

    - #### EFFECTIVITY_RANGE

          static final int EFFECTIVITY_RANGE

      The meta object id for the '`Effectivity Range`' class.
      See Also:
        `EffectivityRangeImpl`, `RulesheetPackageImpl.getEffectivityRange()`, Constant Field Values

    - #### EFFECTIVITY_RANGE__DOCUMENTING_RULE_STATEMENTS

          static final int EFFECTIVITY_RANGE__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### EFFECTIVITY_RANGE__EFFECTIVE_DATE

          static final int EFFECTIVITY_RANGE__EFFECTIVE_DATE

      The feature id for the 'Effective Date' attribute.
      See Also:
        Constant Field Values

    - #### EFFECTIVITY_RANGE__EXPIRATION_DATE

          static final int EFFECTIVITY_RANGE__EXPIRATION_DATE

      The feature id for the 'Expiration Date' attribute.
      See Also:
        Constant Field Values

    - #### EFFECTIVITY_RANGE_FEATURE_COUNT

          static final int EFFECTIVITY_RANGE_FEATURE_COUNT

      The number of structural features of the 'Effectivity Range' class.
      See Also:
        Constant Field Values

    - #### FILTER

          static final int FILTER

      The meta object id for the '`Filter`' class.
      See Also:
        `FilterImpl`, `RulesheetPackageImpl.getFilter()`, Constant Field Values

    - #### FILTER__DOCUMENTING_RULE_STATEMENTS

          static final int FILTER__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### FILTER__PRECONDITION

          static final int FILTER__PRECONDITION

      The feature id for the 'Precondition' attribute.
      See Also:
        Constant Field Values

    - #### FILTER__MINIMUM

          static final int FILTER__MINIMUM

      The feature id for the 'Minimum' attribute.
      See Also:
        Constant Field Values

    - #### FILTER__DISABLED

          static final int FILTER__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values

    - #### FILTER__DATABASE

          static final int FILTER__DATABASE

      The feature id for the 'Database' attribute.
      See Also:
        Constant Field Values

    - #### FILTER__RULESET

          static final int FILTER__RULESET

      The feature id for the 'Ruleset' container reference.
      See Also:
        Constant Field Values

    - #### FILTER__OPAQUE_EXPRESSION

          static final int FILTER__OPAQUE_EXPRESSION

      The feature id for the 'Opaque Expression' containment reference.
      See Also:
        Constant Field Values

    - #### FILTER__LOGICAL_VARIABLES

          static final int FILTER__LOGICAL_VARIABLES

      The feature id for the 'Logical Variables' reference list.
      See Also:
        Constant Field Values

    - #### FILTER_FEATURE_COUNT

          static final int FILTER_FEATURE_COUNT

      The number of structural features of the 'Filter' class.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE

          static final int LOGICAL_VARIABLE

      The meta object id for the '`Logical Variable`' class.
      See Also:
        `LogicalVariableImpl`, `RulesheetPackageImpl.getLogicalVariable()`, Constant Field Values

    - #### LOGICAL_VARIABLE__DOCUMENTING_RULE_STATEMENTS

          static final int LOGICAL_VARIABLE__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__VALIDATION_MESSAGES

          static final int LOGICAL_VARIABLE__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__NAME

          static final int LOGICAL_VARIABLE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__ALIAS

          static final int LOGICAL_VARIABLE__ALIAS

      The feature id for the 'Alias' containment reference list.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__EXPLICIT

          static final int LOGICAL_VARIABLE__EXPLICIT

      The feature id for the 'Explicit' attribute.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__ASSOCIATION

          static final int LOGICAL_VARIABLE__ASSOCIATION

      The feature id for the 'Association' attribute.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__QUALIFIED

          static final int LOGICAL_VARIABLE__QUALIFIED

      The feature id for the 'Qualified' attribute.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__SORTED_ALIAS_ATTRIBUTE_NAME

          static final int LOGICAL_VARIABLE__SORTED_ALIAS_ATTRIBUTE_NAME

      The feature id for the 'Sorted Alias Attribute Name' attribute.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__SORTED_ALIAS_DESCENDING

          static final int LOGICAL_VARIABLE__SORTED_ALIAS_DESCENDING

      The feature id for the 'Sorted Alias Descending' attribute.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__EXTEND_TO_DATABASE

          static final int LOGICAL_VARIABLE__EXTEND_TO_DATABASE

      The feature id for the 'Extend To Database' attribute.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__EXTENDED_FROM

          static final int LOGICAL_VARIABLE__EXTENDED_FROM

      The feature id for the 'Extended From' container reference.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__EXTENSION

          static final int LOGICAL_VARIABLE__EXTENSION

      The feature id for the 'Extension' containment reference list.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__ENTITY

          static final int LOGICAL_VARIABLE__ENTITY

      The feature id for the 'Entity' reference.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__TRAVERSED_ASSOC_ROLE

          static final int LOGICAL_VARIABLE__TRAVERSED_ASSOC_ROLE

      The feature id for the 'Traversed Assoc Role' reference.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__QUALIFIER

          static final int LOGICAL_VARIABLE__QUALIFIER

      The feature id for the 'Qualifier' reference.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__RULE_STATEMENTS

          static final int LOGICAL_VARIABLE__RULE_STATEMENTS

      The feature id for the 'Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__REFERENCED_ATTRIBUTES

          static final int LOGICAL_VARIABLE__REFERENCED_ATTRIBUTES

      The feature id for the 'Referenced Attributes' containment reference list.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE__FILTERS

          static final int LOGICAL_VARIABLE__FILTERS

      The feature id for the 'Filters' reference list.
      See Also:
        Constant Field Values

    - #### LOGICAL_VARIABLE_FEATURE_COUNT

          static final int LOGICAL_VARIABLE_FEATURE_COUNT

      The number of structural features of the 'Logical Variable' class.
      See Also:
        Constant Field Values

    - #### PRULE

          static final int PRULE

      The meta object id for the '`PRule`' class.
      See Also:
        `PRuleImpl`, `RulesheetPackageImpl.getPRule()`, Constant Field Values

    - #### PRULE__DOCUMENTING_RULE_STATEMENTS

          static final int PRULE__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### PRULE__DISABLED

          static final int PRULE__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values

    - #### PRULE__USE_CONDITIONS_AS_THRESHOLDS

          static final int PRULE__USE_CONDITIONS_AS_THRESHOLDS

      The feature id for the 'Use Conditions As Thresholds' attribute.
      See Also:
        Constant Field Values

    - #### PRULE__RULESET

          static final int PRULE__RULESET

      The feature id for the 'Ruleset' container reference.
      See Also:
        Constant Field Values

    - #### PRULE__CONDITIONS

          static final int PRULE__CONDITIONS

      The feature id for the 'Conditions' containment reference list.
      See Also:
        Constant Field Values

    - #### PRULE__OVERRIDES

          static final int PRULE__OVERRIDES

      The feature id for the 'Overrides' reference list.
      See Also:
        Constant Field Values

    - #### PRULE__OVERRIDDEN_BY

          static final int PRULE__OVERRIDDEN_BY

      The feature id for the 'Overridden By' reference list.
      See Also:
        Constant Field Values

    - #### PRULE__ACTIONS

          static final int PRULE__ACTIONS

      The feature id for the 'Actions' containment reference list.
      See Also:
        Constant Field Values

    - #### PRULE_FEATURE_COUNT

          static final int PRULE_FEATURE_COUNT

      The number of structural features of the 'PRule' class.
      See Also:
        Constant Field Values

    - #### PRULESET

          static final int PRULESET

      The meta object id for the '`PRuleset`' class.
      See Also:
        `PRulesetImpl`, `RulesheetPackageImpl.getPRuleset()`, Constant Field Values

    - #### PRULESET__DOCUMENTING_RULE_STATEMENTS

          static final int PRULESET__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### PRULESET__DOMAIN

          static final int PRULESET__DOMAIN

      The feature id for the 'Domain' attribute.
      See Also:
        Constant Field Values

    - #### PRULESET__OPERATION_MODE

          static final int PRULESET__OPERATION_MODE

      The feature id for the 'Operation Mode' attribute.
      See Also:
        Constant Field Values

    - #### PRULESET__VERSION_NO

          static final int PRULESET__VERSION_NO

      The feature id for the 'Version No' attribute.
      See Also:
        Constant Field Values

    - #### PRULESET__VERSION_LABEL

          static final int PRULESET__VERSION_LABEL

      The feature id for the 'Version Label' attribute.
      See Also:
        Constant Field Values

    - #### PRULESET__VOCABULARY_UPDATE_STAMP

          static final int PRULESET__VOCABULARY_UPDATE_STAMP

      The feature id for the 'Vocabulary Update Stamp' attribute.
      See Also:
        Constant Field Values

    - #### PRULESET__RULES

          static final int PRULESET__RULES

      The feature id for the 'Rules' containment reference list.
      See Also:
        Constant Field Values

    - #### PRULESET__FILTERS

          static final int PRULESET__FILTERS

      The feature id for the 'Filters' containment reference list.
      See Also:
        Constant Field Values

    - #### PRULESET__EFFECTIVITY_RANGE

          static final int PRULESET__EFFECTIVITY_RANGE

      The feature id for the 'Effectivity Range' reference list.
      See Also:
        Constant Field Values

    - #### PRULESET__ROOT_ENTITY

          static final int PRULESET__ROOT_ENTITY

      The feature id for the 'Root Entity' containment reference list.
      See Also:
        Constant Field Values

    - #### PRULESET__RULE_STATEMENTS

          static final int PRULESET__RULE_STATEMENTS

      The feature id for the 'Rule Statements' containment reference list.
      See Also:
        Constant Field Values

    - #### PRULESET__VOCABULARY

          static final int PRULESET__VOCABULARY

      The feature id for the 'Vocabulary' reference.
      See Also:
        Constant Field Values

    - #### PRULESET__LOGICAL_VARIABLES

          static final int PRULESET__LOGICAL_VARIABLES

      The feature id for the 'Logical Variables' containment reference list.
      See Also:
        Constant Field Values

    - #### PRULESET_FEATURE_COUNT

          static final int PRULESET_FEATURE_COUNT

      The number of structural features of the 'PRuleset' class.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT

          static final int RULE_STATEMENT

      The meta object id for the '`Rule Statement`' class.
      See Also:
        `RuleStatementImpl`, `RulesheetPackageImpl.getRuleStatement()`, Constant Field Values

    - #### RULE_STATEMENT__DOCUMENTING_RULE_STATEMENTS

          static final int RULE_STATEMENT__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__EXTERNAL_ID

          static final int RULE_STATEMENT__EXTERNAL_ID

      The feature id for the 'External ID' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__POST

          static final int RULE_STATEMENT__POST

      The feature id for the 'Post' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__ALIAS

          static final int RULE_STATEMENT__ALIAS

      The feature id for the 'Alias' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__TEXT

          static final int RULE_STATEMENT__TEXT

      The feature id for the 'Text' containment reference list.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__RULE_NAME

          static final int RULE_STATEMENT__RULE_NAME

      The feature id for the 'Rule Name' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__RULE_LINK

          static final int RULE_STATEMENT__RULE_LINK

      The feature id for the 'Rule Link' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__SOURCE_NAME

          static final int RULE_STATEMENT__SOURCE_NAME

      The feature id for the 'Source Name' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__SOURCE_LINK

          static final int RULE_STATEMENT__SOURCE_LINK

      The feature id for the 'Source Link' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__CATEGORY

          static final int RULE_STATEMENT__CATEGORY

      The feature id for the 'Category' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__COMMENTS

          static final int RULE_STATEMENT__COMMENTS

      The feature id for the 'Comments' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__DISABLED

          static final int RULE_STATEMENT__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__RULESET

          static final int RULE_STATEMENT__RULESET

      The feature id for the 'Ruleset' container reference.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__RULE_MODEL_ELEMENTS

          static final int RULE_STATEMENT__RULE_MODEL_ELEMENTS

      The feature id for the 'Rule Model Elements' reference list.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__LOGICAL_VARIABLE

          static final int RULE_STATEMENT__LOGICAL_VARIABLE

      The feature id for the 'Logical Variable' reference.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_FEATURE_COUNT

          static final int RULE_STATEMENT_FEATURE_COUNT

      The number of structural features of the 'Rule Statement' class.
      See Also:
        Constant Field Values

    - #### RULESHEET_STRING

          static final int RULESHEET_STRING

      The meta object id for the '`String`' class.
      See Also:
        `RulesheetStringImpl`, `RulesheetPackageImpl.getRulesheetString()`, Constant Field Values

    - #### RULESHEET_STRING__VALIDATION_MESSAGES

          static final int RULESHEET_STRING__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### RULESHEET_STRING__VALUE

          static final int RULESHEET_STRING__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### RULESHEET_STRING_FEATURE_COUNT

          static final int RULESHEET_STRING_FEATURE_COUNT

      The number of structural features of the 'String' class.
      See Also:
        Constant Field Values

    - #### REFERENCED_ATTRIBUTE

          static final int REFERENCED_ATTRIBUTE

      The meta object id for the '`Referenced Attribute`' class.
      See Also:
        `ReferencedAttributeImpl`, `RulesheetPackageImpl.getReferencedAttribute()`, Constant Field Values

    - #### REFERENCED_ATTRIBUTE__VALIDATION_MESSAGES

          static final int REFERENCED_ATTRIBUTE__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### REFERENCED_ATTRIBUTE__ATTRIBUTE

          static final int REFERENCED_ATTRIBUTE__ATTRIBUTE

      The feature id for the 'Attribute' reference.
      See Also:
        Constant Field Values

    - #### REFERENCED_ATTRIBUTE_FEATURE_COUNT

          static final int REFERENCED_ATTRIBUTE_FEATURE_COUNT

      The number of structural features of the 'Referenced Attribute' class.
      See Also:
        Constant Field Values

    - #### VIEW_EXPRESSIONS

          static final int VIEW_EXPRESSIONS

      The meta object id for the '`View Expressions`' class.
      See Also:
        `ViewExpressionsImpl`, `RulesheetPackageImpl.getViewExpressions()`, Constant Field Values

    - #### VIEW_EXPRESSIONS__LHS

          static final int VIEW_EXPRESSIONS__LHS

      The feature id for the 'Lhs' attribute.
      See Also:
        Constant Field Values

    - #### VIEW_EXPRESSIONS__RHS

          static final int VIEW_EXPRESSIONS__RHS

      The feature id for the 'Rhs' attribute.
      See Also:
        Constant Field Values

    - #### VIEW_EXPRESSIONS_FEATURE_COUNT

          static final int VIEW_EXPRESSIONS_FEATURE_COUNT

      The number of structural features of the 'View Expressions' class.
      See Also:
        Constant Field Values

    - #### ENGINE_OPERATION_MODE

          static final int ENGINE_OPERATION_MODE

      The meta object id for the '`Engine Operation Mode`' enum.
      See Also:
        `EngineOperationMode`, `RulesheetPackageImpl.getEngineOperationMode()`, Constant Field Values

    - #### MESSAGE_SEVERITY

          static final int MESSAGE_SEVERITY

      The meta object id for the '`Message Severity`' enum.
      See Also:
        `MessageSeverity`, `RulesheetPackageImpl.getMessageSeverity()`, Constant Field Values

  - ### Method Detail

    - #### getAction

          org.eclipse.emf.ecore.EClass getAction()

      Returns the meta object for class '`Action`'.
      Returns:
        the meta object for class 'Action'.
      See Also:
        `Action`

    - #### getAction_Disabled

          org.eclipse.emf.ecore.EAttribute getAction_Disabled()

      Returns the meta object for the attribute '`Disabled`'.
      Returns:
        the meta object for the attribute 'Disabled'.
      See Also:
        `Action.isDisabled()`, `getAction()`

    - #### getAction_OpaqueExpression

          org.eclipse.emf.ecore.EReference getAction_OpaqueExpression()

      Returns the meta object for the containment reference '`Opaque Expression`'.
      Returns:
        the meta object for the containment reference 'Opaque Expression'.
      See Also:
        `Action.getOpaqueExpression()`, `getAction()`

    - #### getAction_Rule

          org.eclipse.emf.ecore.EReference getAction_Rule()

      Returns the meta object for the container reference '`Rule`'.
      Returns:
        the meta object for the container reference 'Rule'.
      See Also:
        `Action.getRule()`, `getAction()`

    - #### getCondition

          org.eclipse.emf.ecore.EClass getCondition()

      Returns the meta object for class '`Condition`'.
      Returns:
        the meta object for class 'Condition'.
      See Also:
        `Condition`

    - #### getCondition_Disabled

          org.eclipse.emf.ecore.EAttribute getCondition_Disabled()

      Returns the meta object for the attribute '`Disabled`'.
      Returns:
        the meta object for the attribute 'Disabled'.
      See Also:
        `Condition.isDisabled()`, `getCondition()`

    - #### getCondition_OpaqueExpression

          org.eclipse.emf.ecore.EReference getCondition_OpaqueExpression()

      Returns the meta object for the containment reference '`Opaque Expression`'.
      Returns:
        the meta object for the containment reference 'Opaque Expression'.
      See Also:
        `Condition.getOpaqueExpression()`, `getCondition()`

    - #### getCondition_Rule

          org.eclipse.emf.ecore.EReference getCondition_Rule()

      Returns the meta object for the container reference '`Rule`'.
      Returns:
        the meta object for the container reference 'Rule'.
      See Also:
        `Condition.getRule()`, `getCondition()`

    - #### getCondition_ViewExpressions

          org.eclipse.emf.ecore.EReference getCondition_ViewExpressions()

      Returns the meta object for the containment reference '`View Expressions`'.
      Returns:
        the meta object for the containment reference 'View Expressions'.
      See Also:
        `Condition.getViewExpressions()`, `getCondition()`

    - #### getEffectivityRange

          org.eclipse.emf.ecore.EClass getEffectivityRange()

      Returns the meta object for class '`Effectivity Range`'.
      Returns:
        the meta object for class 'Effectivity Range'.
      See Also:
        `EffectivityRange`

    - #### getEffectivityRange_EffectiveDate

          org.eclipse.emf.ecore.EAttribute getEffectivityRange_EffectiveDate()

      Returns the meta object for the attribute '`Effective Date`'.
      Returns:
        the meta object for the attribute 'Effective Date'.
      See Also:
        `EffectivityRange.getEffectiveDate()`, `getEffectivityRange()`

    - #### getEffectivityRange_ExpirationDate

          org.eclipse.emf.ecore.EAttribute getEffectivityRange_ExpirationDate()

      Returns the meta object for the attribute '`Expiration Date`'.
      Returns:
        the meta object for the attribute 'Expiration Date'.
      See Also:
        `EffectivityRange.getExpirationDate()`, `getEffectivityRange()`

    - #### getFilter

          org.eclipse.emf.ecore.EClass getFilter()

      Returns the meta object for class '`Filter`'.
      Returns:
        the meta object for class 'Filter'.
      See Also:
        `Filter`

    - #### getFilter_Precondition

          org.eclipse.emf.ecore.EAttribute getFilter_Precondition()

      Returns the meta object for the attribute '`Precondition`'.
      Returns:
        the meta object for the attribute 'Precondition'.
      See Also:
        `Filter.isPrecondition()`, `getFilter()`

    - #### getFilter_Minimum

          org.eclipse.emf.ecore.EAttribute getFilter_Minimum()

      Returns the meta object for the attribute '`Minimum`'.
      Returns:
        the meta object for the attribute 'Minimum'.
      See Also:
        `Filter.isMinimum()`, `getFilter()`

    - #### getFilter_Disabled

          org.eclipse.emf.ecore.EAttribute getFilter_Disabled()

      Returns the meta object for the attribute '`Disabled`'.
      Returns:
        the meta object for the attribute 'Disabled'.
      See Also:
        `Filter.isDisabled()`, `getFilter()`

    - #### getFilter_Database

          org.eclipse.emf.ecore.EAttribute getFilter_Database()

      Returns the meta object for the attribute '`Database`'.
      Returns:
        the meta object for the attribute 'Database'.
      See Also:
        `Filter.isDatabase()`, `getFilter()`

    - #### getFilter_Ruleset

          org.eclipse.emf.ecore.EReference getFilter_Ruleset()

      Returns the meta object for the container reference '`Ruleset`'.
      Returns:
        the meta object for the container reference 'Ruleset'.
      See Also:
        `Filter.getRuleset()`, `getFilter()`

    - #### getFilter_OpaqueExpression

          org.eclipse.emf.ecore.EReference getFilter_OpaqueExpression()

      Returns the meta object for the containment reference '`Opaque Expression`'.
      Returns:
        the meta object for the containment reference 'Opaque Expression'.
      See Also:
        `Filter.getOpaqueExpression()`, `getFilter()`

    - #### getFilter_LogicalVariables

          org.eclipse.emf.ecore.EReference getFilter_LogicalVariables()

      Returns the meta object for the reference list '`Logical Variables`'.
      Returns:
        the meta object for the reference list 'Logical Variables'.
      See Also:
        `Filter.getLogicalVariables()`, `getFilter()`

    - #### getLogicalVariable

          org.eclipse.emf.ecore.EClass getLogicalVariable()

      Returns the meta object for class '`Logical Variable`'.
      Returns:
        the meta object for class 'Logical Variable'.
      See Also:
        `LogicalVariable`

    - #### getLogicalVariable_Name

          org.eclipse.emf.ecore.EAttribute getLogicalVariable_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `LogicalVariable.getName()`, `getLogicalVariable()`

    - #### getLogicalVariable_Alias

          org.eclipse.emf.ecore.EReference getLogicalVariable_Alias()

      Returns the meta object for the containment reference list '`Alias`'.
      Returns:
        the meta object for the containment reference list 'Alias'.
      See Also:
        `LogicalVariable.getAlias()`, `getLogicalVariable()`

    - #### getLogicalVariable_Explicit

          org.eclipse.emf.ecore.EAttribute getLogicalVariable_Explicit()

      Returns the meta object for the attribute '`Explicit`'.
      Returns:
        the meta object for the attribute 'Explicit'.
      See Also:
        `LogicalVariable.isExplicit()`, `getLogicalVariable()`

    - #### getLogicalVariable_Association

          org.eclipse.emf.ecore.EAttribute getLogicalVariable_Association()

      Returns the meta object for the attribute '`Association`'.
      Returns:
        the meta object for the attribute 'Association'.
      See Also:
        `LogicalVariable.isAssociation()`, `getLogicalVariable()`

    - #### getLogicalVariable_Qualified

          org.eclipse.emf.ecore.EAttribute getLogicalVariable_Qualified()

      Returns the meta object for the attribute '`Qualified`'.
      Returns:
        the meta object for the attribute 'Qualified'.
      See Also:
        `LogicalVariable.isQualified()`, `getLogicalVariable()`

    - #### getLogicalVariable_SortedAliasAttributeName

          org.eclipse.emf.ecore.EAttribute getLogicalVariable_SortedAliasAttributeName()

      Returns the meta object for the attribute '`Sorted Alias Attribute Name`'.
      Returns:
        the meta object for the attribute 'Sorted Alias Attribute Name'.
      See Also:
        `LogicalVariable.getSortedAliasAttributeName()`, `getLogicalVariable()`

    - #### getLogicalVariable_SortedAliasDescending

          org.eclipse.emf.ecore.EAttribute getLogicalVariable_SortedAliasDescending()

      Returns the meta object for the attribute '`Sorted Alias Descending`'.
      Returns:
        the meta object for the attribute 'Sorted Alias Descending'.
      See Also:
        `LogicalVariable.isSortedAliasDescending()`, `getLogicalVariable()`

    - #### getLogicalVariable_ExtendToDatabase

          org.eclipse.emf.ecore.EAttribute getLogicalVariable_ExtendToDatabase()

      Returns the meta object for the attribute '`Extend To Database`'.
      Returns:
        the meta object for the attribute 'Extend To Database'.
      See Also:
        `LogicalVariable.isExtendToDatabase()`, `getLogicalVariable()`

    - #### getLogicalVariable_Qualifier

          org.eclipse.emf.ecore.EReference getLogicalVariable_Qualifier()

      Returns the meta object for the reference '`Qualifier`'.
      Returns:
        the meta object for the reference 'Qualifier'.
      See Also:
        `LogicalVariable.getQualifier()`, `getLogicalVariable()`

    - #### getLogicalVariable_RuleStatements

          org.eclipse.emf.ecore.EReference getLogicalVariable_RuleStatements()

      Returns the meta object for the reference list '`Rule Statements`'.
      Returns:
        the meta object for the reference list 'Rule Statements'.
      See Also:
        `LogicalVariable.getRuleStatements()`, `getLogicalVariable()`

    - #### getLogicalVariable_ReferencedAttributes

          org.eclipse.emf.ecore.EReference getLogicalVariable_ReferencedAttributes()

      Returns the meta object for the containment reference list '`Referenced Attributes`'.
      Returns:
        the meta object for the containment reference list 'Referenced Attributes'.
      See Also:
        `LogicalVariable.getReferencedAttributes()`, `getLogicalVariable()`

    - #### getLogicalVariable_Filters

          org.eclipse.emf.ecore.EReference getLogicalVariable_Filters()

      Returns the meta object for the reference list '`Filters`'.
      Returns:
        the meta object for the reference list 'Filters'.
      See Also:
        `LogicalVariable.getFilters()`, `getLogicalVariable()`

    - #### getLogicalVariable_ExtendedFrom

          org.eclipse.emf.ecore.EReference getLogicalVariable_ExtendedFrom()

      Returns the meta object for the container reference '`Extended From`'.
      Returns:
        the meta object for the container reference 'Extended From'.
      See Also:
        `LogicalVariable.getExtendedFrom()`, `getLogicalVariable()`

    - #### getLogicalVariable_Extension

          org.eclipse.emf.ecore.EReference getLogicalVariable_Extension()

      Returns the meta object for the containment reference list '`Extension`'.
      Returns:
        the meta object for the containment reference list 'Extension'.
      See Also:
        `LogicalVariable.getExtension()`, `getLogicalVariable()`

    - #### getLogicalVariable_Entity

          org.eclipse.emf.ecore.EReference getLogicalVariable_Entity()

      Returns the meta object for the reference '`Entity`'.
      Returns:
        the meta object for the reference 'Entity'.
      See Also:
        `LogicalVariable.getEntity()`, `getLogicalVariable()`

    - #### getLogicalVariable_TraversedAssocRole

          org.eclipse.emf.ecore.EReference getLogicalVariable_TraversedAssocRole()

      Returns the meta object for the reference '`Traversed Assoc Role`'.
      Returns:
        the meta object for the reference 'Traversed Assoc Role'.
      See Also:
        `LogicalVariable.getTraversedAssocRole()`, `getLogicalVariable()`

    - #### getPRule

          org.eclipse.emf.ecore.EClass getPRule()

      Returns the meta object for class '`PRule`'.
      Returns:
        the meta object for class 'PRule'.
      See Also:
        `PRule`

    - #### getPRule_Disabled

          org.eclipse.emf.ecore.EAttribute getPRule_Disabled()

      Returns the meta object for the attribute '`Disabled`'.
      Returns:
        the meta object for the attribute 'Disabled'.
      See Also:
        `PRule.isDisabled()`, `getPRule()`

    - #### getPRule_UseConditionsAsThresholds

          org.eclipse.emf.ecore.EAttribute getPRule_UseConditionsAsThresholds()

      Returns the meta object for the attribute '`Use Conditions As Thresholds`'.
      Returns:
        the meta object for the attribute 'Use Conditions As Thresholds'.
      See Also:
        `PRule.isUseConditionsAsThresholds()`, `getPRule()`

    - #### getPRule_Ruleset

          org.eclipse.emf.ecore.EReference getPRule_Ruleset()

      Returns the meta object for the container reference '`Ruleset`'.
      Returns:
        the meta object for the container reference 'Ruleset'.
      See Also:
        `PRule.getRuleset()`, `getPRule()`

    - #### getPRule_Conditions

          org.eclipse.emf.ecore.EReference getPRule_Conditions()

      Returns the meta object for the containment reference list '`Conditions`'.
      Returns:
        the meta object for the containment reference list 'Conditions'.
      See Also:
        `PRule.getConditions()`, `getPRule()`

    - #### getPRule_Overrides

          org.eclipse.emf.ecore.EReference getPRule_Overrides()

      Returns the meta object for the reference list '`Overrides`'.
      Returns:
        the meta object for the reference list 'Overrides'.
      See Also:
        `PRule.getOverrides()`, `getPRule()`

    - #### getPRule_OverriddenBy

          org.eclipse.emf.ecore.EReference getPRule_OverriddenBy()

      Returns the meta object for the reference list '`Overridden By`'.
      Returns:
        the meta object for the reference list 'Overridden By'.
      See Also:
        `PRule.getOverriddenBy()`, `getPRule()`

    - #### getPRule_Actions

          org.eclipse.emf.ecore.EReference getPRule_Actions()

      Returns the meta object for the containment reference list '`Actions`'.
      Returns:
        the meta object for the containment reference list 'Actions'.
      See Also:
        `PRule.getActions()`, `getPRule()`

    - #### getPRuleset

          org.eclipse.emf.ecore.EClass getPRuleset()

      Returns the meta object for class '`PRuleset`'.
      Returns:
        the meta object for class 'PRuleset'.
      See Also:
        `PRuleset`

    - #### getPRuleset_OperationMode

          org.eclipse.emf.ecore.EAttribute getPRuleset_OperationMode()

      Returns the meta object for the attribute '`Operation Mode`'.
      Returns:
        the meta object for the attribute 'Operation Mode'.
      See Also:
        `PRuleset.getOperationMode()`, `getPRuleset()`

    - #### getPRuleset_VersionNo

          org.eclipse.emf.ecore.EAttribute getPRuleset_VersionNo()

      Returns the meta object for the attribute '`Version No`'.
      Returns:
        the meta object for the attribute 'Version No'.
      See Also:
        `PRuleset.getVersionNo()`, `getPRuleset()`

    - #### getPRuleset_VersionLabel

          org.eclipse.emf.ecore.EAttribute getPRuleset_VersionLabel()

      Returns the meta object for the attribute '`Version Label`'.
      Returns:
        the meta object for the attribute 'Version Label'.
      See Also:
        `PRuleset.getVersionLabel()`, `getPRuleset()`

    - #### getPRuleset_VocabularyUpdateStamp

          org.eclipse.emf.ecore.EAttribute getPRuleset_VocabularyUpdateStamp()

      Returns the meta object for the attribute '`Vocabulary Update Stamp`'.
      Returns:
        the meta object for the attribute 'Vocabulary Update Stamp'.
      See Also:
        `PRuleset.getVocabularyUpdateStamp()`, `getPRuleset()`

    - #### getPRuleset_Rules

          org.eclipse.emf.ecore.EReference getPRuleset_Rules()

      Returns the meta object for the containment reference list '`Rules`'.
      Returns:
        the meta object for the containment reference list 'Rules'.
      See Also:
        `PRuleset.getRules()`, `getPRuleset()`

    - #### getPRuleset_Filters

          org.eclipse.emf.ecore.EReference getPRuleset_Filters()

      Returns the meta object for the containment reference list '`Filters`'.
      Returns:
        the meta object for the containment reference list 'Filters'.
      See Also:
        `PRuleset.getFilters()`, `getPRuleset()`

    - #### getPRuleset_EffectivityRange

          org.eclipse.emf.ecore.EReference getPRuleset_EffectivityRange()

      Returns the meta object for the reference list '`Effectivity Range`'.
      Returns:
        the meta object for the reference list 'Effectivity Range'.
      See Also:
        `PRuleset.getEffectivityRange()`, `getPRuleset()`

    - #### getPRuleset_RootEntity

          org.eclipse.emf.ecore.EReference getPRuleset_RootEntity()

      Returns the meta object for the containment reference list '`Root Entity`'.
      Returns:
        the meta object for the containment reference list 'Root Entity'.
      See Also:
        `PRuleset.getRootEntity()`, `getPRuleset()`

    - #### getPRuleset_RuleStatements

          org.eclipse.emf.ecore.EReference getPRuleset_RuleStatements()

      Returns the meta object for the containment reference list '`Rule Statements`'.
      Returns:
        the meta object for the containment reference list 'Rule Statements'.
      See Also:
        `PRuleset.getRuleStatements()`, `getPRuleset()`

    - #### getPRuleset_Vocabulary

          org.eclipse.emf.ecore.EReference getPRuleset_Vocabulary()

      Returns the meta object for the reference '`Vocabulary`'.
      Returns:
        the meta object for the reference 'Vocabulary'.
      See Also:
        `PRuleset.getVocabulary()`, `getPRuleset()`

    - #### getPRuleset_LogicalVariables

          org.eclipse.emf.ecore.EReference getPRuleset_LogicalVariables()

      Returns the meta object for the containment reference list '`Logical Variables`'.
      Returns:
        the meta object for the containment reference list 'Logical Variables'.
      See Also:
        `PRuleset.getLogicalVariables()`, `getPRuleset()`

    - #### getRuleStatement

          org.eclipse.emf.ecore.EClass getRuleStatement()

      Returns the meta object for class '`Rule Statement`'.
      Returns:
        the meta object for class 'Rule Statement'.
      See Also:
        `RuleStatement`

    - #### getRuleStatement_Text

          org.eclipse.emf.ecore.EReference getRuleStatement_Text()

      Returns the meta object for the containment reference list '`Text`'.
      Returns:
        the meta object for the containment reference list 'Text'.
      See Also:
        `RuleStatement.getText()`, `getRuleStatement()`

    - #### getRuleStatement_ExternalID

          org.eclipse.emf.ecore.EAttribute getRuleStatement_ExternalID()

      Returns the meta object for the attribute '`External ID`'.
      Returns:
        the meta object for the attribute 'External ID'.
      See Also:
        `RuleStatement.getExternalID()`, `getRuleStatement()`

    - #### getRuleStatement_Post

          org.eclipse.emf.ecore.EAttribute getRuleStatement_Post()

      Returns the meta object for the attribute '`Post`'.
      Returns:
        the meta object for the attribute 'Post'.
      See Also:
        `RuleStatement.getPost()`, `getRuleStatement()`

    - #### getRuleStatement_Alias

          org.eclipse.emf.ecore.EAttribute getRuleStatement_Alias()

      Returns the meta object for the attribute '`Alias`'.
      Returns:
        the meta object for the attribute 'Alias'.
      See Also:
        `RuleStatement.getAlias()`, `getRuleStatement()`

    - #### getRuleStatement_RuleName

          org.eclipse.emf.ecore.EAttribute getRuleStatement_RuleName()

      Returns the meta object for the attribute '`Rule Name`'.
      Returns:
        the meta object for the attribute 'Rule Name'.
      See Also:
        `RuleStatement.getRuleName()`, `getRuleStatement()`

    - #### getRuleStatement_RuleLink

          org.eclipse.emf.ecore.EAttribute getRuleStatement_RuleLink()

      Returns the meta object for the attribute '`Rule Link`'.
      Returns:
        the meta object for the attribute 'Rule Link'.
      See Also:
        `RuleStatement.getRuleLink()`, `getRuleStatement()`

    - #### getRuleStatement_SourceName

          org.eclipse.emf.ecore.EAttribute getRuleStatement_SourceName()

      Returns the meta object for the attribute '`Source Name`'.
      Returns:
        the meta object for the attribute 'Source Name'.
      See Also:
        `RuleStatement.getSourceName()`, `getRuleStatement()`

    - #### getRuleStatement_SourceLink

          org.eclipse.emf.ecore.EAttribute getRuleStatement_SourceLink()

      Returns the meta object for the attribute '`Source Link`'.
      Returns:
        the meta object for the attribute 'Source Link'.
      See Also:
        `RuleStatement.getSourceLink()`, `getRuleStatement()`

    - #### getRuleStatement_Category

          org.eclipse.emf.ecore.EAttribute getRuleStatement_Category()

      Returns the meta object for the attribute '`Category`'.
      Returns:
        the meta object for the attribute 'Category'.
      See Also:
        `RuleStatement.getCategory()`, `getRuleStatement()`

    - #### getRuleStatement_Comments

          org.eclipse.emf.ecore.EAttribute getRuleStatement_Comments()

      Returns the meta object for the attribute '`Comments`'.
      Returns:
        the meta object for the attribute 'Comments'.
      See Also:
        `RuleStatement.getComments()`, `getRuleStatement()`

    - #### getRuleStatement_Disabled

          org.eclipse.emf.ecore.EAttribute getRuleStatement_Disabled()

      Returns the meta object for the attribute '`Disabled`'.
      Returns:
        the meta object for the attribute 'Disabled'.
      See Also:
        `RuleStatement.isDisabled()`, `getRuleStatement()`

    - #### getRuleStatement_Ruleset

          org.eclipse.emf.ecore.EReference getRuleStatement_Ruleset()

      Returns the meta object for the container reference '`Ruleset`'.
      Returns:
        the meta object for the container reference 'Ruleset'.
      See Also:
        `RuleStatement.getRuleset()`, `getRuleStatement()`

    - #### getRuleStatement_RuleModelElements

          org.eclipse.emf.ecore.EReference getRuleStatement_RuleModelElements()

      Returns the meta object for the reference list '`Rule Model Elements`'.
      Returns:
        the meta object for the reference list 'Rule Model Elements'.
      See Also:
        `RuleStatement.getRuleModelElements()`, `getRuleStatement()`

    - #### getRuleStatement_LogicalVariable

          org.eclipse.emf.ecore.EReference getRuleStatement_LogicalVariable()

      Returns the meta object for the reference '`Logical Variable`'.
      Returns:
        the meta object for the reference 'Logical Variable'.
      See Also:
        `RuleStatement.getLogicalVariable()`, `getRuleStatement()`

    - #### getRulesheetString

          org.eclipse.emf.ecore.EClass getRulesheetString()

      Returns the meta object for class '`String`'.
      Returns:
        the meta object for class 'String'.
      See Also:
        `RulesheetString`

    - #### getRulesheetString_Value

          org.eclipse.emf.ecore.EAttribute getRulesheetString_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `RulesheetString.getValue()`, `getRulesheetString()`

    - #### getReferencedAttribute

          org.eclipse.emf.ecore.EClass getReferencedAttribute()

      Returns the meta object for class '`Referenced Attribute`'.
      Returns:
        the meta object for class 'Referenced Attribute'.
      See Also:
        `ReferencedAttribute`

    - #### getReferencedAttribute_Attribute

          org.eclipse.emf.ecore.EReference getReferencedAttribute_Attribute()

      Returns the meta object for the reference '`Attribute`'.
      Returns:
        the meta object for the reference 'Attribute'.
      See Also:
        `ReferencedAttribute.getAttribute()`, `getReferencedAttribute()`

    - #### getViewExpressions

          org.eclipse.emf.ecore.EClass getViewExpressions()

      Returns the meta object for class '`View Expressions`'.
      Returns:
        the meta object for class 'View Expressions'.
      See Also:
        `ViewExpressions`

    - #### getViewExpressions_Lhs

          org.eclipse.emf.ecore.EAttribute getViewExpressions_Lhs()

      Returns the meta object for the attribute '`Lhs`'.
      Returns:
        the meta object for the attribute 'Lhs'.
      See Also:
        `ViewExpressions.getLhs()`, `getViewExpressions()`

    - #### getViewExpressions_Rhs

          org.eclipse.emf.ecore.EAttribute getViewExpressions_Rhs()

      Returns the meta object for the attribute '`Rhs`'.
      Returns:
        the meta object for the attribute 'Rhs'.
      See Also:
        `ViewExpressions.getRhs()`, `getViewExpressions()`

    - #### getEngineOperationMode

          org.eclipse.emf.ecore.EEnum getEngineOperationMode()

      Returns the meta object for enum '`Engine Operation Mode`'.
      Returns:
        the meta object for enum 'Engine Operation Mode'.
      See Also:
        `EngineOperationMode`

    - #### getMessageSeverity

          org.eclipse.emf.ecore.EEnum getMessageSeverity()

      Returns the meta object for enum '`Message Severity`'.
      Returns:
        the meta object for enum 'Message Severity'.
      See Also:
        `MessageSeverity`

    - #### getRulesheetFactory

          RulesheetFactory getRulesheetFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.